package co.jp.app.controller;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;

import co.jp.app.entity.PetEntity;
import co.jp.app.service.UploadService;

@CrossOrigin("http://192.168.1.50:5173")
@Controller
public class UploadController {

	@Autowired
	private UploadService service;

	@PostMapping("/api/dogs/upload")
	public ResponseEntity<?> upload() {
		List<PetEntity> list = new ArrayList<PetEntity>();

	List<PetEntity> pets = service.saveAllPets(list);

		return ResponseEntity.ok(pets);

	}

}
